package com.salpa.model.domain;


import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 项目模型信息管理表 project_model_info
 *
 * @author zhuff
 */
public class ProjectModelInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer projectId;

    /** 项目名称 */
    private String projectName;

    /** 项目描述 */
    private String projectDescription;

    /** 项目json文件存储 */
    private String jsonFile;

    /** 删除标识 */
    private boolean deleted;

    /** 创建时间 */
    private Timestamp createAt;

    /*业务字段*/
    /*组员*/
    private Long[] userIds;
    private String[] userNames;


    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    public String getJsonFile() {
        return jsonFile;
    }

    public void setJsonFile(String jsonFile) {
        this.jsonFile = jsonFile;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public Timestamp getCreateAt() {
        return createAt;
    }

    public void setCreateAt(Timestamp createAt) {
        this.createAt = createAt;
    }

    public Long[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Long[] userIds) {
        this.userIds = userIds;
    }

    public String[] getUserNames() {
        return userNames;
    }

    public void setUserNames(String[] userNames) {
        this.userNames = userNames;
    }
}
